## com.google.gwt.user.client.ui
Class InlineHyperlink

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Hyperlink
                  com.google.gwt.user.client.ui.InlineHyperlink

All Implemented Interfaces:
  HasClickHandlers, HasHandlers, EventListener, HasHTML, HasText, SourcesClickEvents

    public class InlineHyperlink

extends Hyperlink

A widget that serves as an "internal" hyperlink. That is, it is a link to another state of the running application. It should behave exactly like `Hyperlink`, save that it lays out as an inline element, not block.

### CSS Style Rules

- .gwt-InlineHyperlink { }

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`InlineHyperlink()` Creates an empty hyperlink.
`InlineHyperlink(java.lang.String text, boolean asHTML, java.lang.String targetHistoryToken)` Creates a hyperlink with its text and target history token specified.
`InlineHyperlink(java.lang.String text, java.lang.String targetHistoryToken)` Creates a hyperlink with its text and target history token specified.

Method Summary

Methods inherited from class com.google.gwt.user.client.ui.Hyperlink
`addClickHandler, addClickListener, getHTML, getTargetHistoryToken, getText, onBrowserEvent, onEnsureDebugId, removeClickListener, setHTML, setTargetHistoryToken, setText`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addDomHandler, addHandler, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getParent, isAttached, isOrWasAttached, onAttach, onDetach, onLoad, onUnload, removeFromParent, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Constructor Detail

### InlineHyperlink

    public InlineHyperlink()

  Creates an empty hyperlink.

### InlineHyperlink

    public InlineHyperlink(java.lang.String text,
                           boolean asHTML,
                           java.lang.String targetHistoryToken)

  Creates a hyperlink with its text and target history token specified.

  Parameters:
    `text` - the hyperlink's text
    `asHTML` - `true` to treat the specified text as html
    `targetHistoryToken` - the history token to which it will link
  See Also:
    `Hyperlink.setTargetHistoryToken(java.lang.String)`

### InlineHyperlink

    public InlineHyperlink(java.lang.String text,
                           java.lang.String targetHistoryToken)

  Creates a hyperlink with its text and target history token specified.

  Parameters:
    `text` - the hyperlink's text
    `targetHistoryToken` - the history token to which it will link